Bug 146700 - CAN-2005-0100 Arbitrary code execution in *emacs*
CAN-2005-0100 Arbitrary code execution in *emacs*
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: emacs (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
impact=important,public=20050206
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 16:00 EST by Josh Bressers
Modified: 2015-01-07 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 11:12:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix for this issue. (346 bytes, patch)
2005-01-31 16:00 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-01-31 16:00:15 EST
Max Vozeler discovered several format string vulnerabilities in the
movemail utility of Emacs, the well-known editor.  Via connecting to a
malicious POP server an attacker can execute arbitrary code under the
privileges of group mail (or worse, depending on the permissions of
the movemail binary).
Comment 1 Josh Bressers 2005-01-31 16:00:15 EST
Created attachment 110458 [details]
Proposed fix for this issue.
Comment 2 Josh Bressers 2005-01-31 16:01:01 EST
This issue should also affect RHEL2.1.
Comment 5 Mark J. Cox (Product Security) 2005-02-07 04:20:57 EST
removing embargo,
http://list-archive.xemacs.org/xemacs-announce/200502/msg00001.html
Comment 6 Josh Bressers 2005-02-10 11:12:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-112.html

Note You need to log in before you can comment on or make changes to this bug.